#!/bin/bash

###
# Update apeman-commons-compiling.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall apeman-commons-logging argx async extend fileconcat glob writeout  --save
npm install apeman-commons-logging argx async extend fileconcat glob writeout  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official coz injectmock  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official coz injectmock  --save-dev
